飞雪论坛飞雪桌面日历飞雪桌面日历 软件使用、bug反馈、资源共享 → Microsoft .NET Framework 介绍


  共有10569人关注过本帖树形打印复制链接

主题:Microsoft .NET Framework 介绍

美女呀,离线,留言给我吧!
飞雪
  1楼 | 信息 | 搜索 | 邮箱 | 主页 | UC


加好友 发短信
等级:管理员 帖子:360 积分:2969 威望:529 精华:0 注册:2011-01-04 13:13:32
Microsoft .NET Framework 介绍  发帖心情 Post By:2011-01-25 21:09:27 [只看该作者]

  微软公司的 Microsoft .NET Framework 组件包是所有使用Microsoft Visual Studio 7.0及更高版本编程工具编写的程序所必须的运行框架.以下简称.NET   .NET目前的版本为1.0、1.1、2.0、3.0、3.5、4.0,您可以在系统控制面板的[添加/删除程序]中查到您所安装的版本. 让人头痛的是这些版本并不是全部相互兼容的! 其中1.1兼容1.0,安装1.1后可以不用安装1.0,3.5可向下兼容3.0和2.0,4.0则向下全不兼容!   简单的说,假设您想在xp系统下运行所有.net程序,您最少的安装数量是.NET的3个版本,即:1.1、3.5、4.0 ,以目前的情况看,以1.0和1.1版本为运行环境的程序很少了,它们过旧了,很少有人以它们为环境来编程了,以4.0版本为运行环境的程序也很少,它太新了,Windows7都没有集成这个版本,它是Windows8流行时主流,当前您所接触到的最多的程序是以.NET 2.0 3.0 3.5 为运行框架的程序,它是目前的主流.而.NET3.5实际属于.NET2.0的修订升级版本,安装.NET3.5(或者3.0)也就无需安装2.0,因为.NET3.5(或者3.0)在安装时自动安装了2.0,没有.NET2.0,3.5也运行不起来. 

    选择哪个版本作为程序的运行框架对于任何.net编程人员都没有难度,除特殊的程序外,一般只在编译程序时选择一下版本就可以了. 目前,飞雪桌面日历和飞雪监控大师是以.NET2.0为基础框架的程序,也就说它可以在.net2.0 .net3.0 .net3.5的环境中运行(但无法在.net4.0中运行).之所以选择.net2.0为运行环境,是因2.0是目前最流行,对于XP系统是安装最轻便的框架(相对2.0以上版本),并且在Vista和Windows7中系统已集成.net2.0无需另安装.

 

------------------

 

windows Viata/7          可下载<飞雪桌面日历>.net2.0版,无需安装.net

windows 8/8.1/10        可下载<飞雪桌面日历>.net4.0版,不用安装.net

 

当然如果你的win7/xp系统安装了.net4.0也可以运行本软件的.net4.0版。


 回到顶部
美女呀,离线,留言给我吧!
飞雪
  2楼 | 信息 | 搜索 | 邮箱 | 主页 | UC


加好友 发短信
等级:管理员 帖子:360 积分:2969 威望:529 精华:0 注册:2011-01-04 13:13:32
  发帖心情 Post By:2012-07-05 22:10:46 [只看该作者]

安装.net3.5或者3.0后会看到.net2.0也被安装了,这个是必须的,因为.net3.5或者3.0要以.net2.0为基础才能工作,如果卸载掉.net2.0,那么3.0或者3.5也不能正常工作了.

 回到顶部
美女呀,离线,留言给我吧!
飞雪
  3楼 | 信息 | 搜索 | 邮箱 | 主页 | UC


加好友 发短信
等级:管理员 帖子:360 积分:2969 威望:529 精华:0 注册:2011-01-04 13:13:32
  发帖心情 Post By:2013-03-07 07:27:21 [只看该作者]

在7.3版本中飞雪桌面日历可以直接在.4.0下运行,无需另安装2.0或3.5, 7.3版本支持net2.0、3.0、3.5、4.0环境

 


 回到顶部
美女呀,离线,留言给我吧!
飞雪
  4楼 | 信息 | 搜索 | 邮箱 | 主页 | UC


加好友 发短信
等级:管理员 帖子:360 积分:2969 威望:529 精华:0 注册:2011-01-04 13:13:32
  发帖心情 Post By:2014-10-17 22:04:32 [只看该作者]

windows8集成了.net4.0 windows8.1集成了.net4.5 , .net4.5与4.0是兼容的。飞雪桌面日历8.0已发布了.net4.0版,win8/8.1用户可以下载.net4.0版,当然如果你的win7/xp系统安装了.net4.0也可以运行本软件的.net4.0版。

 回到顶部